# DeDriverLicenseBackCategory class abstract

A category row from the categories table

Inheritance
  - Object
  - GenericDocumentWrapper
  - DeDriverLicenseBackCategory
Implementers
  - DeDriverLicenseBackCategoriesA
  - DeDriverLicenseBackCategoriesA1
  - DeDriverLicenseBackCategoriesA2
  - DeDriverLicenseBackCategoriesAM
  - DeDriverLicenseBackCategoriesB
  - DeDriverLicenseBackCategoriesB1
  - DeDriverLicenseBackCategoriesBE
  - DeDriverLicenseBackCategoriesC
  - DeDriverLicenseBackCategoriesC1
  - DeDriverLicenseBackCategoriesC1E
  - DeDriverLicenseBackCategoriesCE
  - DeDriverLicenseBackCategoriesD
  - DeDriverLicenseBackCategoriesD1
  - DeDriverLicenseBackCategoriesD1E
  - DeDriverLicenseBackCategoriesDE
  - DeDriverLicenseBackCategoriesL
  - DeDriverLicenseBackCategoriesT

## Constructors

DeDriverLicenseBackCategory.new(GenericDocument document)

## Properties

document → GenericDocument
  final inherited
hashCode → int
  The hash code for this object.
  no setter inherited
requiredDocumentType → String
  no setter inherited
restrictions → TextFieldWrapper?
  Restrictions (Column 12.)
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
validFrom → TextFieldWrapper?
  Valid from (Column 10.)
  no setter
validUntil → TextFieldWrapper?
  Valid until (Column 11.)
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited